﻿namespace HeartTrack.Models
{
    public class Activity
    {
        public int IdActivity { get; set; }
        public string Type { get; set; }
        public DateOnly Date { get; set; }
        public TimeOnly StartTime { get; set; }
        public DateTime EndTime { get; set; }
        public int EffortRessenti { get; set; }
        public float Variability { get; set; }
        public float Variance { get; set; }
        public float StandardDeviation { get; set; }
        public float Average { get; set; }
        public int Maximum { get; set; }
        public int Minimum { get; set; }
        public float AvrTemperature { get; set; }
        public bool HasAutoPause { get; set; }
    }
}
//[
//  '{{repeat(15, 30)}}',
//  {
//    idActivity: '{{index(1)}}',
//    type: '{{random("Type1", "Type2", "Type3")}}',
//    date: '{{date(new Date(2014, 0, 1), new Date(), "YYYY-MM-dd")}}',
//    startTime: '{{date(new Date(2014, 0, 1), new Date(), "HH:mm:ss")}}',
//    endTime: '{{date(new Date(2014, 0, 1), new Date(), "HH:mm:ss")}}',
//    effortRessenti: '{{integer(1, 5)}}',
//    variability: '{{floating(1, 100)}}',
//    variance: '{{floating(1, 100)}}',
//    standardDeviation: '{{floating(1, 100)}}',
//    average: '{{floating(1, 100)}}',
//    maximum: '{{integer(80, 200)}}',
//    minimum: '{{integer(30, 100)}}',
//    avrTemperature: '{{floating(1, 100)}}',
//    hasAutoPause: '{{bool()}}'
//  }
//]